%define oname	xine-lib
%define branch	1.2

# bcond_without: default enabled
# bcond_with: default disabled
%if "%{?distro_section}" == "tainted"
%bcond_without	plf
%else
%bcond_with	plf
%endif

%define major	2
%define libname	%mklibname xine %{major}
%define devname	%mklibname xine %{branch} -d

%define plugin_api	%{major}.11

Summary:	A free multimedia engine
Name:		%{oname}%{branch}
Version:	1.2.13
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Libraries
URL:		https://xine-project.org/
Source:		https://downloads.sourceforge.net/xine/%{oname}-%{version}.tar.xz

# ffmpeg6 compatibility
# See: https://sourceforge.net/p/xine/xine-lib-1.2/ci/771f4ae27e582123ff3500444718fc8f96186d74/
Patch0:		xine-lib-1.2.13-ffmpeg6-compatibility.patch
#
Patch1:		xine-lib-configure-c99.patch
# See: https://sourceforge.net/p/xine/xine-lib-1.2/ci/1e7b184008860c8be2289c3cefd9dee57f06193a/
Patch2:		 xine-lib-1.2.13-ffmpeg6-compatibility_2.patch
# See: https://sourceforge.net/p/xine/xine-lib-1.2/ci/73b833e7fe356cd2d9490dda4ebc9bfe16fce958/
Patch3:		xine-lib-1.2.13-ffmpeg7-compatibility.patch
# From https://wiki.linuxfromscratch.org/blfs/ticket/16940
Patch5:		xine-lib-1.2.12-fix-linking.patch
#
# From opensuse
Patch10:	xine-lib-dvdread_udf.patch
Patch11:	xine-lib-v4l.patch
Patch12:	xine-lib-theora.patch
#
Patch13:	xine-lib-1.2.13-mga-egrep-to-grep-E.patch

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(libvmaf)
BuildRequires:	a52dec-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	libmagick-devel
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	musepack-devel
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libvcdinfo)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	aalib-devel
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xvmc)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	xmlto
BuildRequires:	librsvg
BuildRequires:	optipng
BuildRequires:	gettext-devel
BuildRequires:	docbook-dtd44-xml
BuildRequires:	pkgconfig(libxdg-basedir)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(dav1d) >= 0.6.0
BuildRequires:	pkgconfig(libnfs)
BuildRequires:	pkgconfig(vpx)
%if %with plf
BuildRequires:	pkgconfig(faad2)
BuildRequires:	pkgconfig(libdca)
BuildRequires:	libfame-devel
%endif

%description
Xine-lib is a free multimedia engine.

%if %with plf
This package is in tainted because this build depends on other tainted
packages.
%endif

%package -n xine%{branch}-common
Summary:	Common files of xine-lib1.2
Group:		System/Libraries

%description -n xine%{branch}-common
Common files for xine-lib1.2, the free multimedia engine.

%package -n %{libname}
Summary:	Shared libraries of xine-lib1.2
Group:		System/Libraries
Provides:	%{libname}-plugin-api = %{plugin_api}
Requires:	xine%{branch}-common >= %{version}

%description -n %{libname}
Shared libraries for xine-lib1.2, the free multimedia engine.

%package -n %{devname}
Summary:	Development files for xine-lib1.2
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	xine1.2-devel = %{version}-%{release}
Conflicts:	libxine-devel < %{version}

%description -n %{devname}
Development libraries and headers for xine-lib1.2, the free
multimedia engine.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
autoreconf -fi
%configure \
	--with-w32-path=%{_libdir}/codecs \
	--with-external-dvdnav \
	--disable-rpath \
	--enable-v4l \
	--enable-antialiasing \
%if ! %{with plf}
	--disable-faad \
	--disable-dts \
%endif
	%nil

%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/xine-config
mv %{buildroot}%{_mandir}/man5/xine{,-%{branch}}.5
rm -f %{buildroot}%{_libdir}/*.la
mv %{buildroot}%{_datadir}/doc/xine-lib installed-docs

%find_lang libxine%{major}

%files -n xine%{branch}-common -f libxine%{major}.lang
%doc CREDITS NEWS doc/README* doc/faq/faq.txt
# this tool lists currently supported formats (i.e. output depends on
# installed plugins); it is thus architecture-specific, but it would not
# be easy to handle it correctly, i.e. so that 32-bit calls to it return
# 32-bit plugins and 64-bit calls the 64-bit plugins; multiarch-utils is
# not used for non-devel packages -Anssi 01/2010
%{_bindir}/xine-list-%{branch}
%{_mandir}/man1/xine-list-%{branch}.1*
%{_mandir}/man5/xine-%{branch}.5*
# these should preferably be in an unversioned directory,
# but they don't conflict with main xine-lib so it is not
# critical:
%dir %{_datadir}/xine-lib
%dir %{_datadir}/xine-lib/fonts
%{_datadir}/xine-lib/fonts/*.xinefont.gz

%files -n %{libname}
%{_libdir}/libxine.so.%{major}{,.*}
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/%{plugin_api}
%dir %{_libdir}/xine/plugins/%{plugin_api}/post
%{_libdir}/xine/plugins/%{plugin_api}/mime.types
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_audio_filters.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_goom.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_mosaico.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_planar.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_switch.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_tvtime.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_visualizations.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_alsa.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_jack.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_oss.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_pulseaudio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_a52.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dav1d.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_nfs.so
%if %{with plf}
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dts.so
%endif
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dvaudio.so
%if %{with plf}
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_faad.so
%endif
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_ff.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_gdk_pixbuf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_gsm610.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_image.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libaom.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libpng.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libjpeg.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libvpx.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_lpcm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mad.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mpc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mpeg2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_rawvideo.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_real.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spu.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spucc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spucmml.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spudvb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spuhdmv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_to_spdif.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_vdpau.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_asf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_audio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_fli.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_games.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_image.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_mng.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_modplug.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_nsv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_playlist.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_pva.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_slave.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_video.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dxr3.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_flac.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_bluray.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_cdda.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_dvb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_dvd.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_gnome_vfs.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_mms.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_network.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_pvr.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_rtp.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_smb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_ssh.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_v4l.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_v4l2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_vcd.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_vcdo.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_nsf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_sputext.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_tls_gnutls.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_tls_openssl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vdr.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_gl_egl_wl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_gl_egl_x11.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_gl_glx.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_aa.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_caca.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_fb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_opengl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_opengl2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_raw.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_sdl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vaapi.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vdpau.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xcbshm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xcbxv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xshm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xvmc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xxmc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_xiph.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_sndio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_hw_frame_vaapi.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_crypto.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_va_display_drm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_va_display_glx.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_va_display_wl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_va_display_x11.so
%ifarch %ix86
%dir %{_libdir}/xine/plugins/%{plugin_api}/vidix
%{_libdir}/xine/plugins/%{plugin_api}/vidix/*_vid.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_w32dll.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vidix.so
%endif

%files -n %{devname}
%doc installed-docs/*
%{_bindir}/xine-config
%{multiarch_bindir}/xine-config
%{_includedir}/xine.h
%{_includedir}/xine
%{_datadir}/aclocal/xine.m4
%{_libdir}/libxine.so
%{_libdir}/pkgconfig/libxine.pc
%{_mandir}/man1/xine-config.1*


%changelog
* Sun Jan 12 2025 daviddavid <daviddavid> 1.2.13-7.mga10
+ Revision: 2138631
- rebuild for new libvpx 1.14.1

* Sun Dec 08 2024 daviddavid <daviddavid> 1.2.13-6.mga10.tainted
+ Revision: 2122691
- add fedora patches to add ffmpeg >= 6 support
- rebuild for new ffmpeg 7.1

* Wed Jul 17 2024 daviddavid <daviddavid> 1.2.13-5.mga10
+ Revision: 2081958
- enable vmaf support

* Sun Oct 15 2023 kekepower <kekepower> 1.2.13-4.mga10.tainted
+ Revision: 1996870
- Rebuild for dav1d 1.3.0

* Tue Oct 10 2023 danf <danf> 1.2.13-3.mga10
+ Revision: 1994020
- Rebuild for new libvpx

* Mon Jun 19 2023 daviddavid <daviddavid> 1.2.13-2.mga9.tainted
+ Revision: 1962464
- enable ssh2 support

* Tue Apr 25 2023 kekepower <kekepower> 1.2.13-1.mga9.tainted
+ Revision: 1954882
- Update to version 1.2.13

* Thu Mar 30 2023 daviddavid <daviddavid> 1.2.12-8.mga9
+ Revision: 1950858
- switch to latest musepack SV8 instead of deprecated libmpcdec

* Sun Nov 20 2022 wally <wally> 1.2.12-7.mga9
+ Revision: 1909442
- drop old obsoletes and conflicts

* Sun Nov 20 2022 wally <wally> 1.2.12-7.mga9.tainted
+ Revision: 1909435
- enable dts support only in tainted build
- build with system libdts

* Sun Nov 20 2022 wally <wally> 1.2.12-6.mga9.tainted
+ Revision: 1909291
- rebuild for flac 1.4.2

* Sun Oct 30 2022 ghibo <ghibo> 1.2.12-5.mga9.tainted
+ Revision: 1900579
- Rebuild against newer samba

* Wed Oct 12 2022 ghibo <ghibo> 1.2.12-4.mga9.tainted
+ Revision: 1896569
- Add Patch2 to fix broken linking under gcc12.
- Merge patches from opensuse (v4l, theora, dvdread_udf).
- Add patch from OMV, to fix building against ffmpeg 5.1.x
- Rebuild against libvpx 1.12.0 (changed major from 6 to 7)

* Fri Apr 15 2022 ns80 <ns80> 1.2.12-3.mga9
+ Revision: 1850204
- remove patch remove-rpath-from-xineplug_dxr3
- add patch remove-rpath-from-xineplug_dxr3

* Fri Apr 15 2022 ns80 <ns80> 1.2.12-2.mga9
+ Revision: 1850083
- bump rel

* Tue Mar 29 2022 kekepower <kekepower> 1.2.12-1.mga9
+ Revision: 1831855
- Add upstream patch to fix build with dav1d 1.0.0
- Update to version 1.2.12
- Rebuild for new dav1d
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Wed Dec 29 2021 wally <wally> 1.2.11-5.mga9
+ Revision: 1765291
- rebuild for imagemagick 7.0.11.14
- rebuild for openssl 3.0.0

* Fri Jul 16 2021 luigiwalser <luigiwalser> 1.2.11-3.mga9
+ Revision: 1736237
- rebuild for aom

* Sat Feb 27 2021 neoclust <neoclust> 1.2.11-2.mga9
+ Revision: 1692912
- Rebuild against new imagemagick

* Wed Dec 09 2020 daviddavid <daviddavid> 1.2.11-1.mga8.tainted
+ Revision: 1654940
- new version: 1.2.11

* Wed Nov 25 2020 kekepower <kekepower> 1.2.10-9.mga8.tainted
+ Revision: 1649146
- Rebuild for new dav1d

* Mon Nov 16 2020 kekepower <kekepower> 1.2.10-8.mga8
+ Revision: 1646573
- Rebuild for new Imagemagick lib major

* Mon Jun 29 2020 daviddavid <daviddavid> 1.2.10-7.mga8
+ Revision: 1600288
- rebuild for arm

* Fri Jun 05 2020 kekepower <kekepower> 1.2.10-6.mga8.tainted
+ Revision: 1590493
- Rebuild for new aom

* Wed Apr 22 2020 luigiwalser <luigiwalser> 1.2.10-5.mga8.tainted
+ Revision: 1571028
- rebuild for libdvdread

* Sat Mar 21 2020 daviddavid <daviddavid> 1.2.10-4.mga8
+ Revision: 1558482
- rebuild for new dav1d 0.6.0

* Tue Feb 18 2020 umeabot <umeabot> 1.2.10-3.mga8.tainted
+ Revision: 1541586
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 30 2019 kekepower <kekepower> 1.2.10-2.mga8.tainted
+ Revision: 1474960
- Rebuild for new imagemagick

* Sat Dec 14 2019 daviddavid <daviddavid> 1.2.10-1.mga8
+ Revision: 1466819
- new version: 1.2.10
- enable dav1d and aom support
- remove merged upstream patch

* Sun Nov 17 2019 daviddavid <daviddavid> 1.2.9-11.mga8.tainted
+ Revision: 1461392
- rebuild for new libdvdread 6.0.2

* Sun Jul 14 2019 daviddavid <daviddavid> 1.2.9-10.mga8
+ Revision: 1421288
- rebuild for new libcdio 2.1.0

* Sun Feb 10 2019 zezinho <zezinho> 1.2.9-9.mga7.tainted
+ Revision: 1365082
- rebuild for libvpx 1.8.0

* Sun Sep 23 2018 umeabot <umeabot> 1.2.9-8.mga7.tainted
+ Revision: 1301910
- Mageia 7 Mass Rebuild

* Sun May 13 2018 daviddavid <daviddavid> 1.2.9-7.mga7.tainted
+ Revision: 1228734
- rebuild for new imagemagick

* Thu Apr 26 2018 daviddavid <daviddavid> 1.2.9-6.mga7.tainted
+ Revision: 1222573
- rebuild for new ffmpeg 4.0

* Thu Apr 12 2018 ovitters <ovitters> 1.2.9-5.mga7.tainted
+ Revision: 1218091
- rebuild for libva

* Mon Jan 29 2018 tv <tv> 1.2.9-4.mga7
+ Revision: 1197932
- rebuild for new libvpx

* Mon Jan 29 2018 tv <tv> 1.2.9-3.mga7.tainted
+ Revision: 1197908
- rebuild for new libvpx

* Sun Jan 21 2018 daviddavid <daviddavid> 1.2.9-2.mga7.tainted
+ Revision: 1195413
- add patch from opensuse to fix build with new imagemagick-7
+ wally <wally>
- rebuild for new imagemagick

* Sun Jan 14 2018 wally <wally> 1.2.9-1.mga7.tainted
+ Revision: 1193148
- new version 1.2.9
- rebuild for new libcdio

* Thu Dec 28 2017 wally <wally> 1.2.8-10.mga7.tainted
+ Revision: 1186606
- rebuild for new imagemagick

* Mon Jul 17 2017 cjw <cjw> 1.2.8-9.mga7
+ Revision: 1124556
- rebuild for new libvpx

* Sun May 28 2017 shlomif <shlomif> 1.2.8-8.mga6.tainted
+ Revision: 1105309
- rebuild / resubmit

* Sat May 27 2017 shlomif <shlomif> 1.2.8-7.mga6
+ Revision: 1105212
- rebuild for new imagemagick lib major

* Sat May 06 2017 luigiwalser <luigiwalser> 1.2.8-6.mga6
+ Revision: 1099315
- obsolete one more xine 1.1 package (xine-xvdr)

* Tue May 02 2017 akien <akien> 1.2.8-5.mga6
+ Revision: 1098330
- Rebuild for ffmpeg 3.3

* Mon Apr 03 2017 akien <akien> 1.2.8-4.mga6.tainted
+ Revision: 1095726
- Rebuild for libbluray 1.0.0 (major 2)

* Sat Mar 18 2017 akien <akien> 1.2.8-3.mga6.tainted
+ Revision: 1093463
- Obsolete xine-lib < 1.1.21-24 (dead upstream, incompatible with ffmpeg 3.0+)

* Fri Mar 10 2017 akien <akien> 1.2.8-2.mga6.tainted
+ Revision: 1091642
- Rebuild for v4l-utils 1.12.3

* Thu Mar 09 2017 akien <akien> 1.2.8-1.mga6.tainted
+ Revision: 1090830
- Sync plugin API %%files update by joeghi
- Version 1.2.8
- Rebuild for ffmpeg 3.2.4

* Wed Mar 01 2017 ghibo <ghibo> 1.2.6-14.mga6
+ Revision: 1088256
- Rebuilt against pulseaudio 10

* Sat Jun 18 2016 luigiwalser <luigiwalser> 1.2.6-13.mga6.tainted
+ Revision: 1022617
- rebuild with fix libmad

* Mon Jun 06 2016 daviddavid <daviddavid> 1.2.6-12.mga6.tainted
+ Revision: 1020496
- submit to tainted

* Sat Jun 04 2016 daviddavid <daviddavid> 1.2.6-11.mga6
+ Revision: 1020220
- fix xcb linking thus fixing build

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.2.6-10.mga6.tainted
+ Revision: 918230
- rebuild without directfb

* Thu Nov 19 2015 tv <tv> 1.2.6-9.mga6.tainted
+ Revision: 904280
- rebuild for new libvpx

* Thu Nov 19 2015 daviddavid <daviddavid> 1.2.6-8.mga6
+ Revision: 904180
- rebuild for new libvpx 1.5.0

* Thu Jul 16 2015 daviddavid <daviddavid> 1.2.6-7.mga6.tainted
+ Revision: 854732
- rebuild for new libcdio-0.93

* Sat Jun 27 2015 cjw <cjw> 1.2.6-6.mga6.tainted
+ Revision: 846263
- rebuild for libvpx 1.4

* Sun Nov 16 2014 cjw <cjw> 1.2.6-5.mga5.tainted
+ Revision: 797394
- add BuildRequires: pkgconfig(dvdnav)
- use system libdvdnav, bundled libdvdread doesn't work with libdvdcss
+ akien <akien>
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.2.6-3.mga5.tainted
+ Revision: 746404
- Second Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 1.2.6-2.mga5.tainted
+ Revision: 660350
- Rebuild for new directfb

* Tue Jul 08 2014 fwang <fwang> 1.2.6-1.mga5.tainted
+ Revision: 650644
- update file list
- update 2.5
- 1.2.6

* Tue May 20 2014 luigiwalser <luigiwalser> 1.2.4-4.mga5
+ Revision: 623991
- rebuild for directfb

* Thu May 01 2014 luigiwalser <luigiwalser> 1.2.4-3.mga5.tainted
+ Revision: 619146
- rebuild for directfb

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.2.4-2.mga5.tainted
+ Revision: 592295
- rebuild for directfb and libcdio

* Tue Sep 24 2013 fwang <fwang> 1.2.4-1.mga5.tainted
+ Revision: 484650
- new version 1.2.4

* Sun Sep 01 2013 fwang <fwang> 1.2.3-5.mga4.tainted
+ Revision: 473892
- rebuild for new libcdio

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.2.3-4.mga4.tainted
+ Revision: 472408
- rebuild for libmng

* Mon Aug 19 2013 fwang <fwang> 1.2.3-3.mga4.tainted
+ Revision: 467663
- rebuild for new dfb

* Mon Jul 15 2013 fwang <fwang> 1.2.3-2.mga4.tainted
+ Revision: 454617
- update file list
- add missing file
- rebuild for new ffmpeg

* Thu May 30 2013 fwang <fwang> 1.2.3-1.mga4.tainted
+ Revision: 433007
- update file list
- update plugin api
- new version 1.2.3

* Tue May 28 2013 fwang <fwang> 1.2.2-7.mga4.tainted
+ Revision: 429139
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 1.2.2-6.mga3.tainted
+ Revision: 387029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.2.2-5.mga3.tainted
+ Revision: 341754
- rebuild for new ffmpeg

* Fri Dec 14 2012 fwang <fwang> 1.2.2-4.mga3.tainted
+ Revision: 330778
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 1.2.2-3.mga3.tainted
+ Revision: 305080
- rebuild for new imagemagick

* Sat Jul 28 2012 fwang <fwang> 1.2.2-2.mga3.tainted
+ Revision: 275246
- rebuild for new dfb

* Sun Jun 10 2012 fwang <fwang> 1.2.2-1.mga3.tainted
+ Revision: 259224
- update api ver
- new version 1.2.2

* Thu May 31 2012 fwang <fwang> 1.2.1-1.mga3.tainted
+ Revision: 251994
- fix build with latest ffmpeg

* Sat Feb 04 2012 fwang <fwang> 1.2.1-1.mga2.tainted
+ Revision: 204487
- update api major
- new version 1.2.1
- it is not the unstable version now

* Fri Jan 27 2012 fwang <fwang> 1.2.0-2.mga2.tainted
+ Revision: 202274
- update file list
- br bluray

* Fri Jan 27 2012 fwang <fwang> 1.2.0-1.mga2.tainted
+ Revision: 202181
- update file list
- new version 1.2.0

* Fri Oct 28 2011 fwang <fwang> 1.1.90-0.hg11679.3.mga2.tainted
+ Revision: 159153
- rebuild for new libcdio

* Tue Sep 13 2011 fwang <fwang> 1.1.90-0.hg11679.2.mga2.tainted
+ Revision: 142834
- rebuild for new imagemagick

* Wed Aug 31 2011 anssi <anssi> 1.1.90-0.hg11679.1.mga2.tainted
+ Revision: 137238
- new snapshot
- adapt for mageia
- imported package xine-lib1.2


* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 1.1.90-0.hg11592.1mdv2011.0
+ Revision: 622636
- new snapshot to build with latest cooker
- drop mereged codec path patch
- rebuild for new directfb

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 1.1.90-0.hg11496.2mdv2011.0
+ Revision: 553482
- rebuild for new imagemagick

* Sun Apr 25 2010 Anssi Hannula <anssi@mandriva.org> 1.1.90-0.hg11496.1mdv2010.1
+ Revision: 538654
- new snapshot
- adapt to the move of binary codecs to %%_libdir/codecs

* Sun Jan 31 2010 Anssi Hannula <anssi@mandriva.org> 1.1.90-0.hg11412.1mdv2010.1
+ Revision: 498866
- new snapshot
- remove patches applied upstream (vdpau.patch, xdg-fallback.patch)
- update filelist and buildrequires

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 1.1.90-0.hg11058.3mdv2010.1
+ Revision: 491337
- rebuild for new imagemagick

  + Anssi Hannula <anssi@mandriva.org>
    - fix backportability (xdg-fallback.patch from upstream)

* Fri Jan 08 2010 Anssi Hannula <anssi@mandriva.org> 1.1.90-0.hg11058.2mdv2010.1
+ Revision: 487449
- plf: add reason

* Fri Jan 08 2010 Anssi Hannula <anssi@mandriva.org> 1.1.90-0.hg11058.1mdv2010.1
+ Revision: 487414
- initial Mandriva release

